.latest-update {
    background: #fff;
    border-radius: 30px;
}

.latest-update h2 {
    font-weight: 800;
    line-height: 120%;
    letter-spacing: 0;
    color: #152550;
    margin-top: 0;
    margin-bottom: 0;
}

.latest-update__swiper-slide {
    height: unset !important;
}

.latest-update__swiper-inner {
    display: flex;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #eeede7;
    border-radius: 20px;
    padding: 15px;
    box-shadow: 5px 8px 27px 9px rgba(112, 107, 100, 0.1);
    background: #fff;
    text-decoration: none;
    height: 100%;
}

.latest-update__swiper-image {
    display: flex;
}

.latest-update__swiper-image img {
    width: 100%;
    height: auto;
    border-radius: 10px;
    object-fit: cover;
}

.latest-update__swiper-content {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.latest-update__swiper-content h3 {
    font-weight: 900;
    font-size: 22px;
    line-height: 113%;
    letter-spacing: -0.01em;
    color: #152550;
    margin-top: 0;
    margin-bottom: 4px;
    text-wrap-style: balance;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.latest-update__swiper-content p {
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    color: #706b64;
    margin-top: auto;
    margin-bottom: 12px;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.latest-update__swiper-content button {
    display: flex;
    align-items: center;
    gap: 12px;
    font-weight: 600;
    font-size: 18px;
    line-height: 113%;
    letter-spacing: -0.01em;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    color: #ff451a;
    transition: all 0.3s ease;
    background: none;
    border: 0;
    cursor: pointer;
}

.latest-update__swiper-content button svg {
    transition: all 0.3s ease;
    transform: translateX(0);
}

.latest-update__swiper-inner:hover button {
    text-decoration-color: transparent;
}

.latest-update__swiper-inner:hover button svg {
    transform: translateX(5px);
}

.latest-update__swiper-nav {
    display: flex;
    align-items: center;
    justify-content: center;
}

.latest-update__swiper-nav-button.swiper-button-prev,
.latest-update__swiper-nav-button.swiper-button-next,
.latest-update__swiper-pagination.swiper-pagination {
    position: unset;
    margin: 0;
    cursor: pointer;
    display: flex;
    height: unset;
    justify-content: center;
    align-items: center;
    width: unset;
    bottom: unset;
    left: unset;
    top: unset;
}

.latest-update__swiper-nav-button svg {
    min-width: 21px;
    max-width: 21px;
    width: 100%;
    height: auto;
}

.latest-update__swiper-pagination .swiper-pagination-bullet {
    background: #eeede7;
    width: 8px;
    height: 8px;
    opacity: 1;
}

.latest-update__swiper-pagination .swiper-pagination-bullet-active {
    background: #ff451a;
}

.latest-update__swiper-pagination .swiper-pagination-bullet:first-child {
    margin-left: 0 !important;
}

.latest-update__swiper-pagination .swiper-pagination-bullet:last-child {
    margin-right: 0 !important;
}

@media screen and (min-width: 1025px) {
    .latest-update-section {
        margin-top: 52px;
        margin-bottom: 12px;
    }

    .latest-update {
        padding: 24px 32px;
    }

    .latest-update h2 {
        font-size: 30px;
    }

    .latest-update__swiper {
        margin-right: -32px;
        margin-left: -32px;
        padding: 0 32px;
    }

    .latest-update__swiper-wrapper {
        padding: 24px 0;
    }

    .latest-update__swiper-inner {
        gap: 32px;
    }

    .latest-update__swiper-nav {
        gap: 30px;
    }

    .latest-update__swiper-pagination .swiper-pagination-bullet {
        margin-left: 15px !important;
        margin-right: 15px !important;
    }
}

@media screen and (max-width: 1024px) {
    .latest-update-section {
        margin-top: 40px;
        margin-bottom: 12px;
    }

    .latest-update {
        padding: 24px 16px;
    }

    .latest-update__swiper-wrapper {
        padding: 16px 0;
    }

    .latest-update__swiper {
        margin-right: -16px;
        margin-left: -16px;
        padding: 0 16px;
    }

    .latest-update__swiper-inner {
        gap: 16px;
    }

    .latest-update__swiper-nav {
        gap: 16px;
    }

    .latest-update__swiper-pagination .swiper-pagination-bullet {
        margin-left: 8px !important;
        margin-right: 8px !important;
    }
}

@media screen and (min-width: 769px) {
    .latest-update__swiper-image {
        flex-basis: 214px;
    }

    .latest-update__swiper-content {
        flex: 1 1 calc(100% - 214px - 32px);
    }
}

@media screen and (max-width: 768px) {
    .latest-update__swiper-inner {
        flex-direction: column;
    }
}
